#!/usr/bin/env python3

import setuptools


with open("README.md", "r") as fh:
	long_description = fh.read()


setuptools.setup(
	name="pancakecounter",
	version="0.1",
	author="Midgard",
	author_email="",
	description="Count pancake emoji reactions",
	long_description=long_description,
	long_description_content_type="text/markdown",
	scripts=["make_table.py", "read_mattermost.py"],

	url="https://git.zeus.gent/kelder/pancakecounter",
	project_urls={
		"Source": "https://git.zeus.gent/kelder/pancakecounter",
		"Change log": "https://git.zeus.gent/kelder/pancakecounter/-/blob/master/CHANGELOG.md",
		"Bug tracker": "https://git.zeus.gent/kelder/pancakecounter/-/issues",
	},

	classifiers=[
		"Programming Language :: Python :: 3",
		"License :: OSI Approved :: GNU General Public License v3 or later (GPLv3+)",
		"Operating System :: OS Independent",
		"Natural Language :: English",
		"Environment :: Console",

		# "Development Status :: 1 - Planning",
		#"Development Status :: 2 - Pre-Alpha",
		#"Development Status :: 3 - Alpha",
		"Development Status :: 4 - Beta",
		#"Development Status :: 5 - Production/Stable",
		#"Development Status :: 6 - Mature",
		#"Development Status :: 7 - Inactive",

		"Intended Audience :: End Users/Desktop",
		"Topic :: Utilities",
	],

	packages=setuptools.find_packages(),
	python_requires=">=3.7",
	install_requires=[
		"mattermost",
	],
)
